QChildEvent(3qt)

NAME
QChildEvent - Event parameters for child object events

#include <qevent.h>

Inherits QEvent.

  Public Members
QChildEvent ( Type type, QObject * child )
QObject* child () const
bool inserted () const
bool removed () const

DESCRIPTION
The QChildEvent class contains event parameters for child object events.

Child events are sent to objects when children are inserted or removed.

A ChildRemoved event is sent immediately, but a ChildInserted event is posted (with QApplication::postEvent())

The handler for these events is QObject::childEvent().

MEMBER FUNCTION DOCUMENTATION

QChildEvent::QChildEvent ( Type type, QObject * child )
Constructs a child event object.

The type parameter must be either QEvent::ChildInserted or QEvent::ChildRemoved.

QObject * QChildEvent::child () const
Returns the child widget inserted or removed.

bool QChildEvent::inserted () const
Returns TRUE if the widget received a new child.

bool QChildEvent::removed () const
Returns TRUE if the object lost a child.

SEE ALSO
http://doc.trolltech.com/qchildevent.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qchildevent.3qt) and the Qt version (2.3.1).